package com.ekexiu.project.platform.demand;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey("id")
@Table(descp = "需求表")
public class Demand {
	private String id;
	private String title;
	private String descp;
	private String city;
	private String invalidDay;
	private String linkPhone;
	private String linkOrg;
	private String creator;
	private String createTime;
	private int state;
	private boolean actived;
	private String cost;
	private String duration;
	private String overTime;
	private String closeTime;
	
	@Column(descp="需求ID",value=DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(descp="需求标题",value=DE.text_de)
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	@Column(descp="需求内容",value=DE.text_de)
	public String getDescp() {
		return descp;
	}
	public void setDescp(String descp) {
		this.descp = descp;
	}
	@Column(descp="所在城市",value=DE.text_de)
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	@Column(descp="有效截止日期",value=DE.text_de)
	public String getInvalidDay() {
		return invalidDay;
	}
	public void setInvalidDay(String invalidDay) {
		this.invalidDay = invalidDay;
	}
	@Column(descp="联系电话",value=DE.text_de)
	public String getLinkPhone() {
		return linkPhone;
	}
	public void setLinkPhone(String linkPhone) {
		this.linkPhone = linkPhone;
	}
	@Column(descp="需求方",value=DE.text_de)
	public String getLinkOrg() {
		return linkOrg;
	}
	public void setLinkOrg(String linkOrg) {
		this.linkOrg = linkOrg;
	}
	@Column(descp="创建人",value=DE.text_de,renewable=false)
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	@Column(descp="创建时间",value=DE.text_de,renewable=false)
	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	/*
	 * 1 pulished
	 * 2 over
	 * 3 close
	 * */
	@Column(descp="需求状态 1:published 2 over 3 close",value=DE.int_de,renewable=false)
	public int getState() {
		return state;
	}
	public void setState(int state) {
		this.state = state;
	}
	@Column(descp="有效标识",value=DE.boolean_de,renewable=false)
	public boolean isActived() {
		return actived;
	}
	public void setActived(boolean actived) {
		this.actived = actived;
	}
	@Column(descp="费用预算",value=DE.Text_de)
	public String getCost() {
		return cost;
	}
	public void setCost(String cost) {
		this.cost = cost;
	}
	@Column(descp="预计周期",value=DE.Text_de)
	public String getDuration() {
		return duration;
	}
	public void setDuration(String duration) {
		this.duration = duration;
	}
	@Column(descp="完成时间",value=DE.Text_de)
	public String getOverTime() {
		return overTime;
	}
	public void setOverTime(String overTime) {
		this.overTime = overTime;
	}
	@Column(descp="关闭时间",value=DE.Text_de)
	public String getCloseTime() {
		return closeTime;
	}
	public void setCloseTime(String closeTime) {
		this.closeTime = closeTime;
	}
	
	
	
	
}
